/******************************************
	TITLE:	        Intro to Programming with the Arduino: Boolean Operators
	Created by      Rudy Schlaf for makecourse.com
	DATE:		8/2015
*******************************************/
//Setup: button pulls pin 2 low; LED is connected to pin 8 with 220 Ohm resistor in series.
// define pin numbers:
#define buttonPin1 2     // the number of the first pushbutton pin
#define buttonPin2 3     // the number of the second pushbutton pin
#define ledPin  8      // the number of the LED pin

// variables
byte buttonState1;         // variable for reading the pushbutton status
byte buttonState2;         // variable for reading the pushbutton status

void setup() {
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT); 
  digitalWrite(ledPin,LOW); //make sure the LED is off
  // initialize the pushbutton pin as an input:
  pinMode(buttonPin1, INPUT); 
  digitalWrite(buttonPin1,HIGH); //this attaches an internal pull-up resistor that drives the pin HIGH as long as the button is not pressed
                                //the button pulls he pin to ground, i.e. while the button is pressed the state of the pin is LOW
  pinMode(buttonPin2, INPUT); //do the same for the second button
  digitalWrite(buttonPin2,HIGH);
                                
}

void loop(){
      
      if((!digitalRead(buttonPin1) || !digitalRead(buttonPin2))==1){ //the NOT-operator "!" inverts the readout from the buttons. This is necessary since the buttons 
                                                                     //yield 0 when they are pressed. The NOT operator turns that 0 into a 1
                                                                     //the AND-operator "&&" then combines the inverted readouts of the two buttons into one logic result
                                                                     //that is used in the if conditional to decide whether to execute the code and blink the LED or not.
                                                                     
        digitalWrite(ledPin, HIGH);
        delay(100);
        digitalWrite(ledPin, LOW);
        delay(100);
      }
      digitalWrite(ledPin, LOW);
}
